cURL
curl --request PUT \ --url https://api.example.com/api/v1/workspaces/{workspace_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>", "regenerate_slug": false } '
{ "created_at": "2023-11-07T05:31:56Z", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "plan": "<string>", "slug": "<string>", "updated_at": "2023-11-07T05:31:56Z" }
Update workspace name/slug. Requires Admin or Owner.
Documentation IndexFetch the complete documentation index at: https://docs.riftmap.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt
Use this file to discover all available pages before exploring further.
Request body for PUT /workspaces/{id}.
Successful Response
Response schema for a workspace.